_Get_TP_Const:
;Screen_Cal_Utility_events_code.mbas,177 :: 		sub procedure Get_TP_Const()
;Screen_Cal_Utility_events_code.mbas,178 :: 		Address_ptr = Xlimits_Add  ' set address pointer to Xmin_Xmax storage location
LUI	R2, 40193
ORI	R2, R2, 32
SW	R2, Offset(_Address_ptr+0)(GP)
;Screen_Cal_Utility_events_code.mbas,179 :: 		Xmin_Xmax = Address_ptr^   ' get Xmin and Xmax calibration values at that location
LW	R2, Offset(_Address_ptr+0)(GP)
LW	R2, 0(R2)
SW	R2, Offset(_Xmin_Xmax+0)(GP)
;Screen_Cal_Utility_events_code.mbas,180 :: 		Xmin = HiWord(Xmin_Xmax)   ' Extract Xmin Word value from the LongWord variable
LHU	R2, Offset(_Xmin_Xmax+2)(GP)
SH	R2, Offset(_Xmin+0)(GP)
;Screen_Cal_Utility_events_code.mbas,181 :: 		Xmax = LoWord(Xmin_Xmax)   ' Extract Xmax Word value from the LongWord variable
LHU	R2, Offset(_Xmin_Xmax+0)(GP)
SH	R2, Offset(_Xmax+0)(GP)
;Screen_Cal_Utility_events_code.mbas,183 :: 		Address_ptr = Ylimits_Add  ' Set address pointer to Ymin_Ymax storage location
LUI	R2, 40193
ORI	R2, R2, 64
SW	R2, Offset(_Address_ptr+0)(GP)
;Screen_Cal_Utility_events_code.mbas,184 :: 		Ymin_Ymax = Address_ptr^   ' get Ymin and Ymax calibration values at that location
LW	R2, Offset(_Address_ptr+0)(GP)
LW	R2, 0(R2)
SW	R2, Offset(_Ymin_Ymax+0)(GP)
;Screen_Cal_Utility_events_code.mbas,185 :: 		Ymin = HiWord(Ymin_Ymax)   ' Extract Ymin Word value from the LongWord variable
LHU	R2, Offset(_Ymin_Ymax+2)(GP)
SH	R2, Offset(_Ymin+0)(GP)
;Screen_Cal_Utility_events_code.mbas,186 :: 		Ymax = LoWord(Ymin_Ymax)   ' Extract Ymax Word value from the LongWord variable
LHU	R2, Offset(_Ymin_Ymax+0)(GP)
SH	R2, Offset(_Ymax+0)(GP)
;Screen_Cal_Utility_events_code.mbas,187 :: 		end sub
L_end_Get_TP_Const:
JR	RA
NOP	
; end of _Get_TP_Const
_Set_TP_Const:
;Screen_Cal_Utility_events_code.mbas,190 :: 		sub procedure Set_TP_Const()
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,191 :: 		HiWord(Xmin_Xmax) = Xmin   ' Prepair Xmin_Xmax with current TP calibration values
SW	R25, 4(SP)
SW	R26, 8(SP)
LHU	R2, Offset(_Xmin+0)(GP)
SH	R2, Offset(_Xmin_Xmax+2)(GP)
;Screen_Cal_Utility_events_code.mbas,192 :: 		LoWord(Xmin_Xmax) = Xmax
LHU	R2, Offset(_Xmax+0)(GP)
SH	R2, Offset(_Xmin_Xmax+0)(GP)
;Screen_Cal_Utility_events_code.mbas,194 :: 		HiWord(Ymin_Ymax) = Ymin   ' Prepair Ymin_Ymax with current TP calibration values
LHU	R2, Offset(_Ymin+0)(GP)
SH	R2, Offset(_Ymin_Ymax+2)(GP)
;Screen_Cal_Utility_events_code.mbas,195 :: 		LoWord(Ymin_Ymax) = Ymax
LHU	R2, Offset(_Ymax+0)(GP)
SH	R2, Offset(_Ymin_Ymax+0)(GP)
;Screen_Cal_Utility_events_code.mbas,197 :: 		reRun = $AAAAAAAA      ' set FLAG pattern that 1st run done, always load
LUI	R2, 43690
ORI	R2, R2, 43690
SW	R2, Offset(_reRun+0)(GP)
;Screen_Cal_Utility_events_code.mbas,200 :: 		Address_ptr = reRun_Add       ' set address pointer to start of array
LUI	R2, 40193
SW	R2, Offset(_Address_ptr+0)(GP)
;Screen_Cal_Utility_events_code.mbas,201 :: 		Flash_Erase_Page(Address_ptr) ' clear array for preperation of storing constants
LUI	R25, 40193
ORI	R25, R25, 0
JAL	_Flash_Erase_Page+0
NOP	
;Screen_Cal_Utility_events_code.mbas,203 :: 		Flash_Write_Word(Address_ptr, reRun)  ' store FLAG at 1st location in FLASH memory
LW	R26, Offset(_reRun+0)(GP)
LW	R25, Offset(_Address_ptr+0)(GP)
JAL	_Flash_Write_Word+0
NOP	
;Screen_Cal_Utility_events_code.mbas,205 :: 		Address_ptr = Xlimits_Add ' set address pointer to Xmin_Xmax storage location
LUI	R2, 40193
ORI	R2, R2, 32
SW	R2, Offset(_Address_ptr+0)(GP)
;Screen_Cal_Utility_events_code.mbas,206 :: 		Flash_Write_Word(Address_ptr, Xmin_Xmax)  ' Write combined values to FLASH memory
LW	R26, Offset(_Xmin_Xmax+0)(GP)
LUI	R25, 40193
ORI	R25, R25, 32
JAL	_Flash_Write_Word+0
NOP	
;Screen_Cal_Utility_events_code.mbas,208 :: 		Address_ptr = Ylimits_Add ' Set address pointer to Ymin_Ymax storage location
LUI	R2, 40193
ORI	R2, R2, 64
SW	R2, Offset(_Address_ptr+0)(GP)
;Screen_Cal_Utility_events_code.mbas,209 :: 		Flash_Write_Word(Address_ptr, Ymin_Ymax)  ' Write combined values to FLASH memory
LW	R26, Offset(_Ymin_Ymax+0)(GP)
LUI	R25, 40193
ORI	R25, R25, 64
JAL	_Flash_Write_Word+0
NOP	
;Screen_Cal_Utility_events_code.mbas,211 :: 		Delay_ms(1000)             ' One second pause
LUI	R24, 406
ORI	R24, R24, 59050
L__Set_TP_Const2:
ADDIU	R24, R24, -1
BNE	R24, R0, L__Set_TP_Const2
NOP	
;Screen_Cal_Utility_events_code.mbas,212 :: 		end sub
L_end_Set_TP_Const:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _Set_TP_Const
Screen_Cal_Utility_events_code_Set_TP_Defaults:
;Screen_Cal_Utility_events_code.mbas,214 :: 		sub procedure Set_TP_Defaults()
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,216 :: 		Xmin_Xmax = 0x004C038B     ' load default Xmin, Xmax TP calibration values
SW	R25, 4(SP)
SW	R26, 8(SP)
LUI	R2, 76
ORI	R2, R2, 907
SW	R2, Offset(_Xmin_Xmax+0)(GP)
;Screen_Cal_Utility_events_code.mbas,217 :: 		Ymin_Ymax = 0x004F0393     ' load default Ymin, Ymax TP calibration values
LUI	R2, 79
ORI	R2, R2, 915
SW	R2, Offset(_Ymin_Ymax+0)(GP)
;Screen_Cal_Utility_events_code.mbas,222 :: 		reRun = $AAAAAAAA          ' set FLAG pattern that 1st run done, always load
LUI	R2, 43690
ORI	R2, R2, 43690
SW	R2, Offset(_reRun+0)(GP)
;Screen_Cal_Utility_events_code.mbas,225 :: 		Address_ptr = reRun_Add       ' set address pointer to start of array
LUI	R2, 40193
SW	R2, Offset(_Address_ptr+0)(GP)
;Screen_Cal_Utility_events_code.mbas,226 :: 		Flash_Erase_Page(Address_ptr) ' clear array for preperation of storing constants
LUI	R25, 40193
ORI	R25, R25, 0
JAL	_Flash_Erase_Page+0
NOP	
;Screen_Cal_Utility_events_code.mbas,228 :: 		Flash_Write_Word(Address_ptr, reRun) ' store FLAG at 1st location in FLASH memory
LW	R26, Offset(_reRun+0)(GP)
LW	R25, Offset(_Address_ptr+0)(GP)
JAL	_Flash_Write_Word+0
NOP	
;Screen_Cal_Utility_events_code.mbas,230 :: 		Address_ptr = Xlimits_Add     ' set address pointer to Xmin_Xmax storage location
LUI	R2, 40193
ORI	R2, R2, 32
SW	R2, Offset(_Address_ptr+0)(GP)
;Screen_Cal_Utility_events_code.mbas,231 :: 		Flash_Write_Word(Address_ptr, Xmin_Xmax)  ' Write combined values to FLASH memory
LW	R26, Offset(_Xmin_Xmax+0)(GP)
LUI	R25, 40193
ORI	R25, R25, 32
JAL	_Flash_Write_Word+0
NOP	
;Screen_Cal_Utility_events_code.mbas,233 :: 		Address_ptr = Ylimits_Add     ' Set address pointer to Ymin_Ymax storage location
LUI	R2, 40193
ORI	R2, R2, 64
SW	R2, Offset(_Address_ptr+0)(GP)
;Screen_Cal_Utility_events_code.mbas,234 :: 		Flash_Write_Word(Address_ptr, Xmin_Xmax)  ' Write combined values to FLASH memory
LW	R26, Offset(_Xmin_Xmax+0)(GP)
LUI	R25, 40193
ORI	R25, R25, 64
JAL	_Flash_Write_Word+0
NOP	
;Screen_Cal_Utility_events_code.mbas,236 :: 		Delay_ms(1000)             ' One second pause
LUI	R24, 406
ORI	R24, R24, 59050
L_Screen_Cal_Utility_events_code_Set_TP_Defaults5:
ADDIU	R24, R24, -1
BNE	R24, R0, L_Screen_Cal_Utility_events_code_Set_TP_Defaults5
NOP	
;Screen_Cal_Utility_events_code.mbas,237 :: 		end sub
L_end_Set_TP_Defaults:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of Screen_Cal_Utility_events_code_Set_TP_Defaults
_Chk_reRun:
;Screen_Cal_Utility_events_code.mbas,239 :: 		sub procedure Chk_reRun()     ' Read memory to get reRun FLAG pattern for 1st run check
;Screen_Cal_Utility_events_code.mbas,240 :: 		Address_ptr = reRun_Add
LUI	R2, 40193
SW	R2, Offset(_Address_ptr+0)(GP)
;Screen_Cal_Utility_events_code.mbas,241 :: 		reRun = Address_ptr^
LW	R2, Offset(_Address_ptr+0)(GP)
LW	R2, 0(R2)
SW	R2, Offset(_reRun+0)(GP)
;Screen_Cal_Utility_events_code.mbas,242 :: 		end sub
L_end_Chk_reRun:
JR	RA
NOP	
; end of _Chk_reRun
_ButtonRound_CcalibOnClick:
;Screen_Cal_Utility_events_code.mbas,249 :: 		sub procedure ButtonRound_CcalibOnClick() ' Get calibration constants in use now
ADDIU	SP, SP, -20
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,250 :: 		TP_TFT_Get_Calibration_Consts(@X_minimum, @X_maximum, @Y_minimum, @Y_maximum)
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
SW	R28, 16(SP)
LUI	R28, #hi_addr(_Y_maximum+0)
ORI	R28, R28, #lo_addr(_Y_maximum+0)
LUI	R27, #hi_addr(_Y_minimum+0)
ORI	R27, R27, #lo_addr(_Y_minimum+0)
LUI	R26, #hi_addr(_X_maximum+0)
ORI	R26, R26, #lo_addr(_X_maximum+0)
LUI	R25, #hi_addr(_X_minimum+0)
ORI	R25, R25, #lo_addr(_X_minimum+0)
JAL	_TP_TFT_Get_Calibration_Consts+0
NOP	
;Screen_Cal_Utility_events_code.mbas,252 :: 		Label_Xmin.Font_Color = CL_BLACK    ' erase previously displayed values
SH	R0, Offset(_Label_Xmin+20)(GP)
;Screen_Cal_Utility_events_code.mbas,253 :: 		DrawLabel(@Label_Xmin)
LUI	R25, #hi_addr(_Label_Xmin+0)
ORI	R25, R25, #lo_addr(_Label_Xmin+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,254 :: 		Label_Ymin.Font_Color = CL_BLACK
SH	R0, Offset(_Label_Ymin+20)(GP)
;Screen_Cal_Utility_events_code.mbas,255 :: 		DrawLabel(@Label_Ymin)
LUI	R25, #hi_addr(_Label_Ymin+0)
ORI	R25, R25, #lo_addr(_Label_Ymin+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,256 :: 		Label_Xmax.Font_Color = CL_BLACK
SH	R0, Offset(_Label_Xmax+20)(GP)
;Screen_Cal_Utility_events_code.mbas,257 :: 		DrawLabel(@Label_Xmax)
LUI	R25, #hi_addr(_Label_Xmax+0)
ORI	R25, R25, #lo_addr(_Label_Xmax+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,258 :: 		Label_Ymax.Font_Color = CL_BLACK
SH	R0, Offset(_Label_Ymax+20)(GP)
;Screen_Cal_Utility_events_code.mbas,259 :: 		DrawLabel(@Label_Ymax)
LUI	R25, #hi_addr(_Label_Ymax+0)
ORI	R25, R25, #lo_addr(_Label_Ymax+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,261 :: 		Label_Xmin.Font_Color = CL_RED      ' set display colors back to originals
ORI	R2, R0, 63488
SH	R2, Offset(_Label_Xmin+20)(GP)
;Screen_Cal_Utility_events_code.mbas,262 :: 		Label_Ymin.Font_Color = CL_AQUA
ORI	R2, R0, 4095
SH	R2, Offset(_Label_Ymin+20)(GP)
;Screen_Cal_Utility_events_code.mbas,263 :: 		Label_Xmax.Font_Color = CL_RED
ORI	R2, R0, 63488
SH	R2, Offset(_Label_Xmax+20)(GP)
;Screen_Cal_Utility_events_code.mbas,264 :: 		Label_Ymax.Font_Color = CL_AQUA
ORI	R2, R0, 4095
SH	R2, Offset(_Label_Ymax+20)(GP)
;Screen_Cal_Utility_events_code.mbas,266 :: 		WordtoStr(X_minimum, Label_Xmin_Caption)     ' update captions
LUI	R26, #hi_addr(_Label_Xmin_Caption+0)
ORI	R26, R26, #lo_addr(_Label_Xmin_Caption+0)
LHU	R25, Offset(_X_minimum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,267 :: 		WordtoStr(Y_minimum, Label_Ymin_Caption)
LUI	R26, #hi_addr(_Label_Ymin_Caption+0)
ORI	R26, R26, #lo_addr(_Label_Ymin_Caption+0)
LHU	R25, Offset(_Y_minimum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,268 :: 		WordtoStr(X_maximum, Label_Xmax_Caption)
LUI	R26, #hi_addr(_Label_Xmax_Caption+0)
ORI	R26, R26, #lo_addr(_Label_Xmax_Caption+0)
LHU	R25, Offset(_X_maximum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,269 :: 		WordtoStr(Y_maximum, Label_Ymax_Caption)
LUI	R26, #hi_addr(_Label_Ymax_Caption+0)
ORI	R26, R26, #lo_addr(_Label_Ymax_Caption+0)
LHU	R25, Offset(_Y_maximum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,272 :: 		DrawLabel(@Label_Xmin)            ' update TFT display of these labels
LUI	R25, #hi_addr(_Label_Xmin+0)
ORI	R25, R25, #lo_addr(_Label_Xmin+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,273 :: 		DrawLabel(@Label_Ymin)
LUI	R25, #hi_addr(_Label_Ymin+0)
ORI	R25, R25, #lo_addr(_Label_Ymin+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,274 :: 		DrawLabel(@Label_Xmax)
LUI	R25, #hi_addr(_Label_Xmax+0)
ORI	R25, R25, #lo_addr(_Label_Xmax+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,275 :: 		DrawLabel(@Label_Ymax)
LUI	R25, #hi_addr(_Label_Ymax+0)
ORI	R25, R25, #lo_addr(_Label_Ymax+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,277 :: 		end sub
L_end_ButtonRound_CcalibOnClick:
LW	R28, 16(SP)
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 20
JR	RA
NOP	
; end of _ButtonRound_CcalibOnClick
_ButtonRound_AcalibOnClick:
;Screen_Cal_Utility_events_code.mbas,279 :: 		sub procedure ButtonRound_AcalibOnClick()
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,280 :: 		WordtoStr(X_minimum, Label_XminAdj_Caption)  ' update X/Y Min/Max display values
SW	R25, 4(SP)
SW	R26, 8(SP)
LUI	R26, #hi_addr(_Label_XminAdj_Caption+0)
ORI	R26, R26, #lo_addr(_Label_XminAdj_Caption+0)
LHU	R25, Offset(_X_minimum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,281 :: 		WordtoStr(X_maximum, Label_XmaxAdj_Caption)
LUI	R26, #hi_addr(_Label_XmaxAdj_Caption+0)
ORI	R26, R26, #lo_addr(_Label_XmaxAdj_Caption+0)
LHU	R25, Offset(_X_maximum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,283 :: 		WordtoStr(Y_minimum, Label_YminAdj_Caption)
LUI	R26, #hi_addr(_Label_YminAdj_Caption+0)
ORI	R26, R26, #lo_addr(_Label_YminAdj_Caption+0)
LHU	R25, Offset(_Y_minimum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,284 :: 		WordtoStr(Y_maximum, Label_YmaxAdj_Caption)
LUI	R26, #hi_addr(_Label_YmaxAdj_Caption+0)
ORI	R26, R26, #lo_addr(_Label_YmaxAdj_Caption+0)
LHU	R25, Offset(_Y_maximum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,286 :: 		DrawScreen(Screen3ScreenID)           ' Go to TP Constants adjustment Screen
ORI	R25, R0, 32770
JAL	_DrawScreen+0
NOP	
;Screen_Cal_Utility_events_code.mbas,287 :: 		end sub
L_end_ButtonRound_AcalibOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _ButtonRound_AcalibOnClick
_ButtonRound_TESTOnClick:
;Screen_Cal_Utility_events_code.mbas,289 :: 		sub procedure ButtonRound_TESTOnClick()
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,290 :: 		DrawScreen(Screen2ScreenID)           ' Go to TP test Screen
SW	R25, 4(SP)
ORI	R25, R0, 32769
JAL	_DrawScreen+0
NOP	
;Screen_Cal_Utility_events_code.mbas,291 :: 		end sub
L_end_ButtonRound_TESTOnClick:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _ButtonRound_TESTOnClick
_ButtonRound_EXIT1OnClick:
;Screen_Cal_Utility_events_code.mbas,293 :: 		sub procedure ButtonRound_EXIT1OnClick()
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,294 :: 		DrawScreen(Screen1ScreenID)           ' Go to Main Menu Screen
SW	R25, 4(SP)
ORI	R25, R0, 32768
JAL	_DrawScreen+0
NOP	
;Screen_Cal_Utility_events_code.mbas,295 :: 		end sub
L_end_ButtonRound_EXIT1OnClick:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _ButtonRound_EXIT1OnClick
_PressBoxOnPress:
;Screen_Cal_Utility_events_code.mbas,297 :: 		sub procedure PressBoxOnPress()
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,298 :: 		If (TP_TFT_Get_Coordinates(@x_coord, @y_coord) = 0) then ' check if valid touch in TP area
SW	R25, 4(SP)
SW	R26, 8(SP)
LUI	R26, #hi_addr(_y_coord+0)
ORI	R26, R26, #lo_addr(_y_coord+0)
LUI	R25, #hi_addr(_x_coord+0)
ORI	R25, R25, #lo_addr(_x_coord+0)
JAL	_TP_TFT_Get_Coordinates+0
NOP	
ANDI	R2, R2, 255
BEQ	R2, R0, L__PressBoxOnPress79
NOP	
J	L__PressBoxOnPress14
NOP	
L__PressBoxOnPress79:
;Screen_Cal_Utility_events_code.mbas,299 :: 		If (x_coord <> x_coordOld) Then  ' check if X coordinate has changed since last cycle
LHU	R3, Offset(_x_coordOld+0)(GP)
LHU	R2, Offset(_x_coord+0)(GP)
BNE	R2, R3, L__PressBoxOnPress81
NOP	
J	L__PressBoxOnPress17
NOP	
L__PressBoxOnPress81:
;Screen_Cal_Utility_events_code.mbas,300 :: 		x_coordOld = x_coord           ' only update value and display if it has changed
LHU	R2, Offset(_x_coord+0)(GP)
SH	R2, Offset(_x_coordOld+0)(GP)
;Screen_Cal_Utility_events_code.mbas,302 :: 		Label_Xcoord.Font_Color = Cl_White  '|
ORI	R2, R0, 65535
SH	R2, Offset(_Label_Xcoord+20)(GP)
;Screen_Cal_Utility_events_code.mbas,303 :: 		DrawLabel(@Label_Xcoord)            '|- Erase last displayed value
LUI	R25, #hi_addr(_Label_Xcoord+0)
ORI	R25, R25, #lo_addr(_Label_Xcoord+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,305 :: 		WordtoStr(x_coordOld, Label_Xcoord_Caption)
LUI	R26, #hi_addr(_Label_Xcoord_Caption+0)
ORI	R26, R26, #lo_addr(_Label_Xcoord_Caption+0)
LHU	R25, Offset(_x_coordOld+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,306 :: 		Label_Xcoord.Font_Color = Cl_Black
SH	R0, Offset(_Label_Xcoord+20)(GP)
;Screen_Cal_Utility_events_code.mbas,307 :: 		DrawLabel(@Label_Xcoord)
LUI	R25, #hi_addr(_Label_Xcoord+0)
ORI	R25, R25, #lo_addr(_Label_Xcoord+0)
JAL	_DrawLabel+0
NOP	
L__PressBoxOnPress17:
;Screen_Cal_Utility_events_code.mbas,310 :: 		If (y_coord <> y_coordOld) Then ' check if X coordinate has changed since last cycle
LHU	R3, Offset(_y_coordOld+0)(GP)
LHU	R2, Offset(_y_coord+0)(GP)
BNE	R2, R3, L__PressBoxOnPress83
NOP	
J	L__PressBoxOnPress20
NOP	
L__PressBoxOnPress83:
;Screen_Cal_Utility_events_code.mbas,311 :: 		y_coordOld = y_coord          ' only update value and display if it has changed
LHU	R2, Offset(_y_coord+0)(GP)
SH	R2, Offset(_y_coordOld+0)(GP)
;Screen_Cal_Utility_events_code.mbas,313 :: 		Label_Ycoord.Font_Color = Cl_White  '|
ORI	R2, R0, 65535
SH	R2, Offset(_Label_Ycoord+20)(GP)
;Screen_Cal_Utility_events_code.mbas,314 :: 		DrawLabel(@Label_Ycoord)            '|- Erase last displayed value
LUI	R25, #hi_addr(_Label_Ycoord+0)
ORI	R25, R25, #lo_addr(_Label_Ycoord+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,316 :: 		WordtoStr(y_coordOld, Label_Ycoord_Caption)
LUI	R26, #hi_addr(_Label_Ycoord_Caption+0)
ORI	R26, R26, #lo_addr(_Label_Ycoord_Caption+0)
LHU	R25, Offset(_y_coordOld+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,317 :: 		Label_Ycoord.Font_Color = Cl_Black
SH	R0, Offset(_Label_Ycoord+20)(GP)
;Screen_Cal_Utility_events_code.mbas,318 :: 		DrawLabel(@Label_Ycoord)
LUI	R25, #hi_addr(_Label_Ycoord+0)
ORI	R25, R25, #lo_addr(_Label_Ycoord+0)
JAL	_DrawLabel+0
NOP	
L__PressBoxOnPress20:
;Screen_Cal_Utility_events_code.mbas,320 :: 		Delay_us(1000)  ' One millisecond pause, adjust higher to slow sampling rate
LUI	R24, 0
ORI	R24, R24, 26666
L__PressBoxOnPress22:
ADDIU	R24, R24, -1
BNE	R24, R0, L__PressBoxOnPress22
NOP	
L__PressBoxOnPress14:
;Screen_Cal_Utility_events_code.mbas,322 :: 		end sub
L_end_PressBoxOnPress:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _PressBoxOnPress
_CircleButton1_MinusXminOnClick:
;Screen_Cal_Utility_events_code.mbas,324 :: 		sub procedure CircleButton1_MinusXminOnClick() ' Subtract one from X_min TP Cal.
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,325 :: 		If (X_minimum > 0) Then
SW	R25, 4(SP)
SW	R26, 8(SP)
LHU	R2, Offset(_X_minimum+0)(GP)
SLTIU	R2, R2, 1
BEQ	R2, R0, L__CircleButton1_MinusXminOnClick85
NOP	
J	L__CircleButton1_MinusXminOnClick26
NOP	
L__CircleButton1_MinusXminOnClick85:
;Screen_Cal_Utility_events_code.mbas,326 :: 		X_minimum = X_minimum - 1
LHU	R2, Offset(_X_minimum+0)(GP)
ADDIU	R2, R2, -1
SH	R2, Offset(_X_minimum+0)(GP)
;Screen_Cal_Utility_events_code.mbas,328 :: 		XY_Edited = 1                         ' Set FLAG
ORI	R2, R0, 1
SB	R2, Offset(_XY_Edited+0)(GP)
;Screen_Cal_Utility_events_code.mbas,330 :: 		Label_XminAdj.Font_Color = Cl_Black   '|
SH	R0, Offset(_Label_XminAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,331 :: 		DrawLabel(@Label_XminAdj)             '|- Erase last displayed value
LUI	R25, #hi_addr(_Label_XminAdj+0)
ORI	R25, R25, #lo_addr(_Label_XminAdj+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,333 :: 		Label_XminAdj.Font_Color = Cl_Red
ORI	R2, R0, 63488
SH	R2, Offset(_Label_XminAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,334 :: 		WordtoStr(X_minimum, Label_XminAdj_Caption)
LUI	R26, #hi_addr(_Label_XminAdj_Caption+0)
ORI	R26, R26, #lo_addr(_Label_XminAdj_Caption+0)
LHU	R25, Offset(_X_minimum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,335 :: 		DrawLabel(@Label_XminAdj)
LUI	R25, #hi_addr(_Label_XminAdj+0)
ORI	R25, R25, #lo_addr(_Label_XminAdj+0)
JAL	_DrawLabel+0
NOP	
L__CircleButton1_MinusXminOnClick26:
;Screen_Cal_Utility_events_code.mbas,337 :: 		end sub
L_end_CircleButton1_MinusXminOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _CircleButton1_MinusXminOnClick
_CircleButton2_PlusXminOnClick:
;Screen_Cal_Utility_events_code.mbas,339 :: 		sub procedure CircleButton2_PlusXminOnClick()  ' Add one to X_min TP Cal.
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,340 :: 		If (X_minimum < 65535) Then
SW	R25, 4(SP)
SW	R26, 8(SP)
LHU	R3, Offset(_X_minimum+0)(GP)
ORI	R2, R0, 65535
SLTU	R2, R3, R2
BNE	R2, R0, L__CircleButton2_PlusXminOnClick87
NOP	
J	L__CircleButton2_PlusXminOnClick30
NOP	
L__CircleButton2_PlusXminOnClick87:
;Screen_Cal_Utility_events_code.mbas,341 :: 		X_minimum = X_minimum + 1
LHU	R2, Offset(_X_minimum+0)(GP)
ADDIU	R2, R2, 1
SH	R2, Offset(_X_minimum+0)(GP)
;Screen_Cal_Utility_events_code.mbas,343 :: 		XY_Edited = 1                         ' Set FLAG
ORI	R2, R0, 1
SB	R2, Offset(_XY_Edited+0)(GP)
;Screen_Cal_Utility_events_code.mbas,345 :: 		Label_XminAdj.Font_Color = Cl_Black   '|
SH	R0, Offset(_Label_XminAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,346 :: 		DrawLabel(@Label_XminAdj)             '|- Erase last displayed value
LUI	R25, #hi_addr(_Label_XminAdj+0)
ORI	R25, R25, #lo_addr(_Label_XminAdj+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,348 :: 		Label_XminAdj.Font_Color = Cl_Red
ORI	R2, R0, 63488
SH	R2, Offset(_Label_XminAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,349 :: 		WordtoStr(X_minimum, Label_XminAdj_Caption)
LUI	R26, #hi_addr(_Label_XminAdj_Caption+0)
ORI	R26, R26, #lo_addr(_Label_XminAdj_Caption+0)
LHU	R25, Offset(_X_minimum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,350 :: 		DrawLabel(@Label_XminAdj)
LUI	R25, #hi_addr(_Label_XminAdj+0)
ORI	R25, R25, #lo_addr(_Label_XminAdj+0)
JAL	_DrawLabel+0
NOP	
L__CircleButton2_PlusXminOnClick30:
;Screen_Cal_Utility_events_code.mbas,352 :: 		end sub
L_end_CircleButton2_PlusXminOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _CircleButton2_PlusXminOnClick
_CircleButton3_MinusXmaxOnClick:
;Screen_Cal_Utility_events_code.mbas,354 :: 		sub procedure CircleButton3_MinusXmaxOnClick() ' Subtract one from X_max TP Cal.
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,355 :: 		If (X_maximum > 0) Then
SW	R25, 4(SP)
SW	R26, 8(SP)
LHU	R2, Offset(_X_maximum+0)(GP)
SLTIU	R2, R2, 1
BEQ	R2, R0, L__CircleButton3_MinusXmaxOnClick89
NOP	
J	L__CircleButton3_MinusXmaxOnClick34
NOP	
L__CircleButton3_MinusXmaxOnClick89:
;Screen_Cal_Utility_events_code.mbas,356 :: 		X_maximum = X_maximum - 1
LHU	R2, Offset(_X_maximum+0)(GP)
ADDIU	R2, R2, -1
SH	R2, Offset(_X_maximum+0)(GP)
;Screen_Cal_Utility_events_code.mbas,358 :: 		XY_Edited = 1                         ' Set FLAG
ORI	R2, R0, 1
SB	R2, Offset(_XY_Edited+0)(GP)
;Screen_Cal_Utility_events_code.mbas,360 :: 		Label_XmaxAdj.Font_Color = Cl_Black   '|
SH	R0, Offset(_Label_XmaxAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,361 :: 		DrawLabel(@Label_XmaxAdj)             '|- Erase last displayed value
LUI	R25, #hi_addr(_Label_XmaxAdj+0)
ORI	R25, R25, #lo_addr(_Label_XmaxAdj+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,363 :: 		Label_XmaxAdj.Font_Color = Cl_Red
ORI	R2, R0, 63488
SH	R2, Offset(_Label_XmaxAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,364 :: 		WordtoStr(X_maximum, Label_XmaxAdj_Caption)
LUI	R26, #hi_addr(_Label_XmaxAdj_Caption+0)
ORI	R26, R26, #lo_addr(_Label_XmaxAdj_Caption+0)
LHU	R25, Offset(_X_maximum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,365 :: 		DrawLabel(@Label_XmaxAdj)
LUI	R25, #hi_addr(_Label_XmaxAdj+0)
ORI	R25, R25, #lo_addr(_Label_XmaxAdj+0)
JAL	_DrawLabel+0
NOP	
L__CircleButton3_MinusXmaxOnClick34:
;Screen_Cal_Utility_events_code.mbas,367 :: 		end sub
L_end_CircleButton3_MinusXmaxOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _CircleButton3_MinusXmaxOnClick
_CircleButton4_PlusXmaxOnClick:
;Screen_Cal_Utility_events_code.mbas,369 :: 		sub procedure CircleButton4_PlusXmaxOnClick()  ' Add one to X_max TP Cal.
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,370 :: 		If (X_maximum < 65535) Then
SW	R25, 4(SP)
SW	R26, 8(SP)
LHU	R3, Offset(_X_maximum+0)(GP)
ORI	R2, R0, 65535
SLTU	R2, R3, R2
BNE	R2, R0, L__CircleButton4_PlusXmaxOnClick91
NOP	
J	L__CircleButton4_PlusXmaxOnClick38
NOP	
L__CircleButton4_PlusXmaxOnClick91:
;Screen_Cal_Utility_events_code.mbas,371 :: 		X_maximum = X_maximum + 1
LHU	R2, Offset(_X_maximum+0)(GP)
ADDIU	R2, R2, 1
SH	R2, Offset(_X_maximum+0)(GP)
;Screen_Cal_Utility_events_code.mbas,373 :: 		XY_Edited = 1                         ' Set FLAG
ORI	R2, R0, 1
SB	R2, Offset(_XY_Edited+0)(GP)
;Screen_Cal_Utility_events_code.mbas,375 :: 		Label_XmaxAdj.Font_Color = Cl_Black   '|
SH	R0, Offset(_Label_XmaxAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,376 :: 		DrawLabel(@Label_XmaxAdj)             '|- Erase last displayed value
LUI	R25, #hi_addr(_Label_XmaxAdj+0)
ORI	R25, R25, #lo_addr(_Label_XmaxAdj+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,378 :: 		Label_XmaxAdj.Font_Color = Cl_Red
ORI	R2, R0, 63488
SH	R2, Offset(_Label_XmaxAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,379 :: 		WordtoStr(X_maximum, Label_XmaxAdj_Caption)
LUI	R26, #hi_addr(_Label_XmaxAdj_Caption+0)
ORI	R26, R26, #lo_addr(_Label_XmaxAdj_Caption+0)
LHU	R25, Offset(_X_maximum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,380 :: 		DrawLabel(@Label_XmaxAdj)
LUI	R25, #hi_addr(_Label_XmaxAdj+0)
ORI	R25, R25, #lo_addr(_Label_XmaxAdj+0)
JAL	_DrawLabel+0
NOP	
L__CircleButton4_PlusXmaxOnClick38:
;Screen_Cal_Utility_events_code.mbas,382 :: 		end sub
L_end_CircleButton4_PlusXmaxOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _CircleButton4_PlusXmaxOnClick
_CircleButton5_MinusYminOnClick:
;Screen_Cal_Utility_events_code.mbas,384 :: 		sub procedure CircleButton5_MinusYminOnClick() ' Subtract one from Y_min TP Cal.
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,385 :: 		If (Y_minimum > 0) Then
SW	R25, 4(SP)
SW	R26, 8(SP)
LHU	R2, Offset(_Y_minimum+0)(GP)
SLTIU	R2, R2, 1
BEQ	R2, R0, L__CircleButton5_MinusYminOnClick93
NOP	
J	L__CircleButton5_MinusYminOnClick42
NOP	
L__CircleButton5_MinusYminOnClick93:
;Screen_Cal_Utility_events_code.mbas,386 :: 		Y_minimum = Y_minimum - 1
LHU	R2, Offset(_Y_minimum+0)(GP)
ADDIU	R2, R2, -1
SH	R2, Offset(_Y_minimum+0)(GP)
;Screen_Cal_Utility_events_code.mbas,388 :: 		XY_Edited = 1                         ' Set FLAG
ORI	R2, R0, 1
SB	R2, Offset(_XY_Edited+0)(GP)
;Screen_Cal_Utility_events_code.mbas,390 :: 		Label_YminAdj.Font_Color = Cl_Black   '|
SH	R0, Offset(_Label_YminAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,391 :: 		DrawLabel(@Label_YminAdj)             '|- Erase last displayed value
LUI	R25, #hi_addr(_Label_YminAdj+0)
ORI	R25, R25, #lo_addr(_Label_YminAdj+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,393 :: 		Label_YminAdj.Font_Color = Cl_Aqua
ORI	R2, R0, 4095
SH	R2, Offset(_Label_YminAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,394 :: 		WordtoStr(Y_minimum, Label_YminAdj_Caption)
LUI	R26, #hi_addr(_Label_YminAdj_Caption+0)
ORI	R26, R26, #lo_addr(_Label_YminAdj_Caption+0)
LHU	R25, Offset(_Y_minimum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,395 :: 		DrawLabel(@Label_YminAdj)
LUI	R25, #hi_addr(_Label_YminAdj+0)
ORI	R25, R25, #lo_addr(_Label_YminAdj+0)
JAL	_DrawLabel+0
NOP	
L__CircleButton5_MinusYminOnClick42:
;Screen_Cal_Utility_events_code.mbas,397 :: 		end sub
L_end_CircleButton5_MinusYminOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _CircleButton5_MinusYminOnClick
_CircleButton6_PlusYminOnClick:
;Screen_Cal_Utility_events_code.mbas,399 :: 		sub procedure CircleButton6_PlusYminOnClick()  ' Add one to Y_min TP Cal.
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,400 :: 		If (Y_minimum < 65535) Then
SW	R25, 4(SP)
SW	R26, 8(SP)
LHU	R3, Offset(_Y_minimum+0)(GP)
ORI	R2, R0, 65535
SLTU	R2, R3, R2
BNE	R2, R0, L__CircleButton6_PlusYminOnClick95
NOP	
J	L__CircleButton6_PlusYminOnClick46
NOP	
L__CircleButton6_PlusYminOnClick95:
;Screen_Cal_Utility_events_code.mbas,401 :: 		Y_minimum = Y_minimum + 1
LHU	R2, Offset(_Y_minimum+0)(GP)
ADDIU	R2, R2, 1
SH	R2, Offset(_Y_minimum+0)(GP)
;Screen_Cal_Utility_events_code.mbas,403 :: 		XY_Edited = 1                         ' Set FLAG
ORI	R2, R0, 1
SB	R2, Offset(_XY_Edited+0)(GP)
;Screen_Cal_Utility_events_code.mbas,405 :: 		Label_YminAdj.Font_Color = Cl_Black   '|
SH	R0, Offset(_Label_YminAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,406 :: 		DrawLabel(@Label_YminAdj)             '|- Erase last displayed value
LUI	R25, #hi_addr(_Label_YminAdj+0)
ORI	R25, R25, #lo_addr(_Label_YminAdj+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,408 :: 		Label_YminAdj.Font_Color = Cl_Aqua
ORI	R2, R0, 4095
SH	R2, Offset(_Label_YminAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,409 :: 		WordtoStr(Y_minimum, Label_YminAdj_Caption)
LUI	R26, #hi_addr(_Label_YminAdj_Caption+0)
ORI	R26, R26, #lo_addr(_Label_YminAdj_Caption+0)
LHU	R25, Offset(_Y_minimum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,410 :: 		DrawLabel(@Label_YminAdj)
LUI	R25, #hi_addr(_Label_YminAdj+0)
ORI	R25, R25, #lo_addr(_Label_YminAdj+0)
JAL	_DrawLabel+0
NOP	
L__CircleButton6_PlusYminOnClick46:
;Screen_Cal_Utility_events_code.mbas,412 :: 		end sub
L_end_CircleButton6_PlusYminOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _CircleButton6_PlusYminOnClick
_CircleButton7_MinusYmaxOnClick:
;Screen_Cal_Utility_events_code.mbas,414 :: 		sub procedure CircleButton7_MinusYmaxOnClick() ' Subtract one from Y_max TP Cal.
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,415 :: 		If (Y_maximum > 0) Then
SW	R25, 4(SP)
SW	R26, 8(SP)
LHU	R2, Offset(_Y_maximum+0)(GP)
SLTIU	R2, R2, 1
BEQ	R2, R0, L__CircleButton7_MinusYmaxOnClick97
NOP	
J	L__CircleButton7_MinusYmaxOnClick50
NOP	
L__CircleButton7_MinusYmaxOnClick97:
;Screen_Cal_Utility_events_code.mbas,416 :: 		Y_maximum = Y_maximum - 1
LHU	R2, Offset(_Y_maximum+0)(GP)
ADDIU	R2, R2, -1
SH	R2, Offset(_Y_maximum+0)(GP)
;Screen_Cal_Utility_events_code.mbas,418 :: 		XY_Edited = 1                         ' Set FLAG
ORI	R2, R0, 1
SB	R2, Offset(_XY_Edited+0)(GP)
;Screen_Cal_Utility_events_code.mbas,420 :: 		Label_YmaxAdj.Font_Color = Cl_Black   '|
SH	R0, Offset(_Label_YmaxAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,421 :: 		DrawLabel(@Label_YmaxAdj)             '|- Erase last displayed value
LUI	R25, #hi_addr(_Label_YmaxAdj+0)
ORI	R25, R25, #lo_addr(_Label_YmaxAdj+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,423 :: 		Label_YmaxAdj.Font_Color = Cl_Aqua
ORI	R2, R0, 4095
SH	R2, Offset(_Label_YmaxAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,424 :: 		WordtoStr(Y_maximum, Label_YmaxAdj_Caption)
LUI	R26, #hi_addr(_Label_YmaxAdj_Caption+0)
ORI	R26, R26, #lo_addr(_Label_YmaxAdj_Caption+0)
LHU	R25, Offset(_Y_maximum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,425 :: 		DrawLabel(@Label_YmaxAdj)
LUI	R25, #hi_addr(_Label_YmaxAdj+0)
ORI	R25, R25, #lo_addr(_Label_YmaxAdj+0)
JAL	_DrawLabel+0
NOP	
L__CircleButton7_MinusYmaxOnClick50:
;Screen_Cal_Utility_events_code.mbas,427 :: 		end sub
L_end_CircleButton7_MinusYmaxOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _CircleButton7_MinusYmaxOnClick
_CircleButton8_PlusYmaxOnClick:
;Screen_Cal_Utility_events_code.mbas,429 :: 		sub procedure CircleButton8_PlusYmaxOnClick()  ' Add one to Y_max TP Cal.
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,430 :: 		If (Y_maximum < 65535) Then
SW	R25, 4(SP)
SW	R26, 8(SP)
LHU	R3, Offset(_Y_maximum+0)(GP)
ORI	R2, R0, 65535
SLTU	R2, R3, R2
BNE	R2, R0, L__CircleButton8_PlusYmaxOnClick99
NOP	
J	L__CircleButton8_PlusYmaxOnClick54
NOP	
L__CircleButton8_PlusYmaxOnClick99:
;Screen_Cal_Utility_events_code.mbas,431 :: 		Y_maximum = Y_maximum + 1
LHU	R2, Offset(_Y_maximum+0)(GP)
ADDIU	R2, R2, 1
SH	R2, Offset(_Y_maximum+0)(GP)
;Screen_Cal_Utility_events_code.mbas,433 :: 		XY_Edited = 1                         ' Set FLAG
ORI	R2, R0, 1
SB	R2, Offset(_XY_Edited+0)(GP)
;Screen_Cal_Utility_events_code.mbas,435 :: 		Label_YmaxAdj.Font_Color = Cl_Black   '|
SH	R0, Offset(_Label_YmaxAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,436 :: 		DrawLabel(@Label_YmaxAdj)             '|- Erase last displayed value
LUI	R25, #hi_addr(_Label_YmaxAdj+0)
ORI	R25, R25, #lo_addr(_Label_YmaxAdj+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,438 :: 		Label_YmaxAdj.Font_Color = Cl_Aqua
ORI	R2, R0, 4095
SH	R2, Offset(_Label_YmaxAdj+20)(GP)
;Screen_Cal_Utility_events_code.mbas,439 :: 		WordtoStr(Y_maximum, Label_YmaxAdj_Caption)
LUI	R26, #hi_addr(_Label_YmaxAdj_Caption+0)
ORI	R26, R26, #lo_addr(_Label_YmaxAdj_Caption+0)
LHU	R25, Offset(_Y_maximum+0)(GP)
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,440 :: 		DrawLabel(@Label_YmaxAdj)
LUI	R25, #hi_addr(_Label_YmaxAdj+0)
ORI	R25, R25, #lo_addr(_Label_YmaxAdj+0)
JAL	_DrawLabel+0
NOP	
L__CircleButton8_PlusYmaxOnClick54:
;Screen_Cal_Utility_events_code.mbas,442 :: 		end sub
L_end_CircleButton8_PlusYmaxOnClick:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _CircleButton8_PlusYmaxOnClick
_ButtonRound_DefaultsOnClick:
;Screen_Cal_Utility_events_code.mbas,444 :: 		sub procedure ButtonRound_DefaultsOnClick()
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,445 :: 		Delay_ms(1000)           ' One second pause
SW	R25, 4(SP)
LUI	R24, 406
ORI	R24, R24, 59050
L__ButtonRound_DefaultsOnClick57:
ADDIU	R24, R24, -1
BNE	R24, R0, L__ButtonRound_DefaultsOnClick57
NOP	
;Screen_Cal_Utility_events_code.mbas,447 :: 		Label_Reset.Visible = 1  ' make reseting message visible
ORI	R2, R0, 1
SB	R2, Offset(_Label_Reset+22)(GP)
;Screen_Cal_Utility_events_code.mbas,448 :: 		DrawLabel(@Label_Reset)  ' draw message on screen
LUI	R25, #hi_addr(_Label_Reset+0)
ORI	R25, R25, #lo_addr(_Label_Reset+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,450 :: 		Set_TP_Defaults()   ' Set calibration constants to original start-up values.
JAL	Screen_Cal_Utility_events_code_Set_TP_Defaults+0
NOP	
;Screen_Cal_Utility_events_code.mbas,452 :: 		Delay_ms(2000)           ' Two second pause
LUI	R24, 813
ORI	R24, R24, 52564
L__ButtonRound_DefaultsOnClick59:
ADDIU	R24, R24, -1
BNE	R24, R0, L__ButtonRound_DefaultsOnClick59
NOP	
NOP	
NOP	
;Screen_Cal_Utility_events_code.mbas,454 :: 		Reset()                  ' Resets the MCU
JAL	_Reset+0
NOP	
;Screen_Cal_Utility_events_code.mbas,456 :: 		end sub
L_end_ButtonRound_DefaultsOnClick:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _ButtonRound_DefaultsOnClick
_ButtonRound_SETOnClick:
;Screen_Cal_Utility_events_code.mbas,458 :: 		sub procedure ButtonRound_SETOnClick()  ' Set calibration constants to new adjusted values.
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,459 :: 		If (XY_Edited = 1) Then     ' check if any have been modified first
SW	R25, 4(SP)
LBU	R3, Offset(_XY_Edited+0)(GP)
ORI	R2, R0, 1
BEQ	R3, R2, L__ButtonRound_SETOnClick102
NOP	
J	L__ButtonRound_SETOnClick63
NOP	
L__ButtonRound_SETOnClick102:
;Screen_Cal_Utility_events_code.mbas,460 :: 		Xmin = X_minimum         ' prepair variables for calling routine to store
LHU	R2, Offset(_X_minimum+0)(GP)
SH	R2, Offset(_Xmin+0)(GP)
;Screen_Cal_Utility_events_code.mbas,461 :: 		Xmax = X_maximum
LHU	R2, Offset(_X_maximum+0)(GP)
SH	R2, Offset(_Xmax+0)(GP)
;Screen_Cal_Utility_events_code.mbas,462 :: 		Ymin = Y_minimum
LHU	R2, Offset(_Y_minimum+0)(GP)
SH	R2, Offset(_Ymin+0)(GP)
;Screen_Cal_Utility_events_code.mbas,463 :: 		Ymax = Y_maximum
LHU	R2, Offset(_Y_maximum+0)(GP)
SH	R2, Offset(_Ymax+0)(GP)
;Screen_Cal_Utility_events_code.mbas,465 :: 		Delay_ms(1000)           ' One second pause
LUI	R24, 406
ORI	R24, R24, 59050
L__ButtonRound_SETOnClick65:
ADDIU	R24, R24, -1
BNE	R24, R0, L__ButtonRound_SETOnClick65
NOP	
;Screen_Cal_Utility_events_code.mbas,467 :: 		Label_Reset.Visible = 1  ' make reseting message visible
ORI	R2, R0, 1
SB	R2, Offset(_Label_Reset+22)(GP)
;Screen_Cal_Utility_events_code.mbas,468 :: 		DrawLabel(@Label_Reset)  ' draw message on screen
LUI	R25, #hi_addr(_Label_Reset+0)
ORI	R25, R25, #lo_addr(_Label_Reset+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,470 :: 		Set_TP_Const()           ' Write adjusted TP calibration values to FLASH memory
JAL	_Set_TP_Const+0
NOP	
;Screen_Cal_Utility_events_code.mbas,472 :: 		Delay_ms(2000)           ' Two second pause
LUI	R24, 813
ORI	R24, R24, 52564
L__ButtonRound_SETOnClick67:
ADDIU	R24, R24, -1
BNE	R24, R0, L__ButtonRound_SETOnClick67
NOP	
NOP	
NOP	
;Screen_Cal_Utility_events_code.mbas,474 :: 		Reset()                  ' Resets the MCU
JAL	_Reset+0
NOP	
L__ButtonRound_SETOnClick63:
;Screen_Cal_Utility_events_code.mbas,476 :: 		end sub
L_end_ButtonRound_SETOnClick:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _ButtonRound_SETOnClick
_PressBoxOnUp:
;Screen_Cal_Utility_events_code.mbas,478 :: 		sub procedure PressBoxOnUp()
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;Screen_Cal_Utility_events_code.mbas,479 :: 		Label_Xcoord.Font_Color = Cl_White     '|
SW	R25, 4(SP)
SW	R26, 8(SP)
ORI	R2, R0, 65535
SH	R2, Offset(_Label_Xcoord+20)(GP)
;Screen_Cal_Utility_events_code.mbas,480 :: 		DrawLabel(@Label_Xcoord)               '|- Erase last displayed value
LUI	R25, #hi_addr(_Label_Xcoord+0)
ORI	R25, R25, #lo_addr(_Label_Xcoord+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,482 :: 		x_coordOld = 0              ' clear X value and print a zero
SH	R0, Offset(_x_coordOld+0)(GP)
;Screen_Cal_Utility_events_code.mbas,483 :: 		WordtoStr(x_coordOld, Label_Xcoord_Caption)
LUI	R26, #hi_addr(_Label_Xcoord_Caption+0)
ORI	R26, R26, #lo_addr(_Label_Xcoord_Caption+0)
MOVZ	R25, R0, R0
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,484 :: 		Label_Xcoord.Font_Color = Cl_Black
SH	R0, Offset(_Label_Xcoord+20)(GP)
;Screen_Cal_Utility_events_code.mbas,485 :: 		DrawLabel(@Label_Xcoord)
LUI	R25, #hi_addr(_Label_Xcoord+0)
ORI	R25, R25, #lo_addr(_Label_Xcoord+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,487 :: 		Label_Ycoord.Font_Color = Cl_White     '|
ORI	R2, R0, 65535
SH	R2, Offset(_Label_Ycoord+20)(GP)
;Screen_Cal_Utility_events_code.mbas,488 :: 		DrawLabel(@Label_Ycoord)               '|- Erase last displayed value
LUI	R25, #hi_addr(_Label_Ycoord+0)
ORI	R25, R25, #lo_addr(_Label_Ycoord+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,490 :: 		y_coordOld = 0              ' clear Y value and print a zero
SH	R0, Offset(_y_coordOld+0)(GP)
;Screen_Cal_Utility_events_code.mbas,491 :: 		WordtoStr(y_coordOld, Label_Ycoord_Caption)
LUI	R26, #hi_addr(_Label_Ycoord_Caption+0)
ORI	R26, R26, #lo_addr(_Label_Ycoord_Caption+0)
MOVZ	R25, R0, R0
JAL	_WordToStr+0
NOP	
;Screen_Cal_Utility_events_code.mbas,492 :: 		Label_Ycoord.Font_Color = Cl_Black
SH	R0, Offset(_Label_Ycoord+20)(GP)
;Screen_Cal_Utility_events_code.mbas,493 :: 		DrawLabel(@Label_Ycoord)
LUI	R25, #hi_addr(_Label_Ycoord+0)
ORI	R25, R25, #lo_addr(_Label_Ycoord+0)
JAL	_DrawLabel+0
NOP	
;Screen_Cal_Utility_events_code.mbas,495 :: 		end sub
L_end_PressBoxOnUp:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _PressBoxOnUp
